Name:           perl-Math-Random-MT-Auto
Version:        6.16
Release:        2%{?dist}
Summary:        Auto-seeded Mersenne Twister PRNGs
License:        BSD 
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Math-Random-MT-Auto/
Source0:        http://www.cpan.org/authors/id/J/JD/JDHEDDEN/Math-Random-MT-Auto-%{version}.tar.gz
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exception::Class) >= 1.22
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Math::Random::MT::Auto::Range)
BuildRequires:  perl(Object::InsideOut) >= 2.06
BuildRequires:  perl(Scalar::Util) >= 1.18
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::Spelling)
BuildRequires:  perl(threads)
BuildRequires:  perl(threads::shared)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)

%description
The Mersenne Twister is a fast pseudorandom number generator (PRNG) that is
capable of providing large volumes (> 10^6004) of "high quality"
pseudorandom data to applications that may exhaust available "truly" random
data sources or system-provided PRNGs such as rand.

%{?filter_setup:
%filter_from_requires /^perl(Object::InsideOut)$/d
%{?perl_default_filter}
}

%prep
%setup -q -n Math-Random-MT-Auto-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Math*
%{_mandir}/man3/*

%changelog
* Mon Mar 07 2011 Iain Arnell <iarnell@gmail.com> 6.16-2
- only filter unversion Object::InsideOut requires

* Thu Feb 17 2011 Marcela Mašláňová <mmaslano@redhat.com> 6.16-1
- update to 6.16
- fix filtering of requires
- clean specfile according to current guidelines

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.14-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 6.14-6
- 661697 rebuild for fixing problems with vendorach/lib

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 6.14-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 6.14-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 27 2008 Chris Weyl <cweyl@alumni.drew.edu> 6.14-1
- update to 6.14
- switch to inline req filtering

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 6.12-1
- 6.12

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 6.02-4
- rebuild for new perl

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 6.02-3
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 6.02-2
- bump

* Fri Jun 01 2007 Chris Weyl <cweyl@alumni.drew.edu> 6.02-1
- update to 6.02
- add t/ to doc
- minor spec tweaks to deal with the once and future perl split

* Fri Feb 23 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.04-3
- bump

* Thu Feb 22 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.04-2
- drop execute bit on filter-requires.sh to appease rpmlint

* Mon Feb 19 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.04-1
- Specfile autogenerated by cpanspec 1.70.
